Subject: Re: bug#33394: 27.0.50; trampver cannot determine repository version

From: Geoffrey Ferrari <[email-masked]>
Date: Thu, 15 Nov 2018 13:10:53 +0000

Thanks, Michael.

I no longer get an error message with the new version of trampver, so this
seems to have fix it. Of course, the two constants tramp-repository-branch
and tramp-repository-version now both have the value nil on an end user
system, but I assume that's both acceptable and intended.

Kind regards,

Geoff

On Thu, 15 Nov 2018 at 12:57, Michael Albinus <[email-masked]>
wrote:

> Geoffrey Ferrari <[email-masked]> writes:
>
> Hi Geoffrey,
>
> > Thanks Michael. On further investigation, I've found that this minimal
> > code (after starting with emacs -Q) produces the same unexpected
> > error:
> >
> > (condition-case nil
> > (emacs-repository-get-branch nil)
> >   (error nil))
>
> You're right. After setting `default-directory' and `source-directory'
> to "/not/existing" I see the same error. `call-process' seems to break
> the `condition-case' jail.
>
> > I don't think I can investigate further as condition-case is not a
> > lisp function.
>
> I've hardened trampver.el, committed to the master branch. Could you,
> pls, check?
>
> > Kind regards
> >
> > Geoff
>
> Best regards, Michael.
>